![](https://raw.githubusercontent.com/Para-Lang/Para/v0.1.dev7/img/para-banner.png)

# `paralang_cli` - The Python Module for the Para Compiler CLI

[![Build](https://img.shields.io/github/workflow/status/Para-Lang/Para/CodeQL?logo=github)](https://github.com/Para-Lang/Para-CLI/actions/workflows/codeql-analysis.yml)
![Py Versions](https://img.shields.io/pypi/pyversions/paralang-base.svg)
[![Open Para issues](https://img.shields.io/github/issues/Para-Lang/Para)](https://github.com/Para-Lang/Para/issues)
[![PyPI version](https://badge.fury.io/py/parac-ext-cli.svg)](https://badge.fury.io/py/parac-ext-cli)
[![Documentation Status](https://readthedocs.org/projects/para/badge/?version=latest)](https://para.readthedocs.io/en/latest/?badge=latest)
[![License](https://img.shields.io/github/license/Para-Lang/Para-CLI?color=cyan)](https://github.com/Para-Lang/Para-CLI/blob/main/LICENSE)

[![Windows Test workflow](https://github.com/Para-Lang/Para-CLI/actions/workflows/pytest-win.yml/badge.svg)](https://github.com/Para-Lang/Para-CLI/actions/workflows/pytest-win.yml)
[![MacOS Test workflow](https://github.com/Para-Lang/Para-CLI/actions/workflows/pytest-macos.yml/badge.svg)](https://github.com/Para-Lang/Para-CLI/actions/workflows/pytest-macos.yml)
[![Linux Test & Coverage workflow](https://github.com/Para-Lang/Para-CLI/actions/workflows/pytest-linux.yml/badge.svg)](https://github.com/Para-Lang/Para-CLI/actions/workflows/pytest-linux.yml)
[![codecov](https://codecov.io/gh/Para-Lang/Para-CLI/branch/main/graph/badge.svg?token=8I9XL1E7QR)](https://codecov.io/gh/Para-Lang/Para)

Command Line Interface Implementation for the Para-C programming language

## Docs

Our documentation can be found [here](https://para.readthedocs.io/en/latest/).

## Installation

```bash
python3 -m pip install -U parac-ext-cli
```

*With specific version*:
```bash
python3 -m pip install -U parac-ext-cli==version
```

## Copyright and License

![License](https://img.shields.io/github/license/Para-Lang/Para?color=cyan)
[![FOSSA Status](https://app.fossa.com/api/projects/git%2Bgithub.com%2FPara-Lang%2FPara.svg?type=shield)](https://app.fossa.com/projects/git%2Bgithub.com%2FPara-Lang%2FPara?ref=badge_shield)

Copyright (C) 2021-2022 Luna Klatzer

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program. If not, see <https://www.gnu.org/licenses/>.

See the [LICENSE](./LICENSE) for information on terms & conditions for usage.

### FOSSA License Report

[![FOSSA Status](https://app.fossa.com/api/projects/git%2Bgithub.com%2FPara-Lang%2FPara.svg?type=large)](https://app.fossa.com/projects/git%2Bgithub.com%2FPara-Lang%2FPara?ref=badge_large)
